Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001362graphvizOutput Generationpublic2008-07-23 12:242013-10-22 10:57
ReporterAJ Palkovic 
Assigned Toellson 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-Linux-Fedora Core 9OS Version
Summary0001362: 2.20 Zooming Does Not Work Like 2.18
Description



In 2.18, in the gtk plugin, when the user would zoom, the plugin would
focus it on the zoom coordinates of the mouse. However, in the new
release, 2.20, when the user zooms closer to the edges of the canvas,
the focus is no longer the coordinate of the mouse. In fact, often, the
content you were zooming over will move off screen. Zooming just
doesn't seem to work as well as it did in 2.18.



I've looked through the source code at the problem, and I noticed a few
things. First, in lib/gvc/gvevent.c, in gvevent_button_press, cases 4 and
5, I noticed that the job->focus.x variable was being changed by the
height variables. For example, the source code had this:
<CD>
     job->focus.x -= (pointer.y - job->height)....
</CD>
which I thought was curious, because the x focus was being changed by the
y coordinate of where the user zoomed. I tried changing that to
job->focus.y, but it really didn't make a difference. I also tried
replacing this code and some other with code from 2.18, but that did not
work either, so I assume that this is probably a problem with the values
in the job struct.
To compensate, right now I have changed the same code in
gvevent_button_press:
<CD>
* (ZOOMFACTOR - 1.) / (job->zoom * job->devscale.y);
</CD>
to be * (ZOOMFACTOR - 1.) / (job->scale.y); (for all 8 places that it
occurs). This seems to mitigate the problem, so it doesn't jump
anywhere near as much when the user zooms around the outside of the
graph, but it is not ideal. Do you have a better solution?



Also, I noticed that in the gtk plugin, the graph no longer expands to
the full size of the window when the plugin starts, but it did do this
in 2.18.



TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENTseems fixed in current builds
FORMER-ID1396
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT*
VERSION     2.20.2
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695
2013-10-22 10:57 ellson FIX-COMMENT => seems fixed in current builds
2013-10-22 10:57 ellson Status acknowledged => closed
2013-10-22 10:57 ellson Resolution open => fixed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker